Bug 114696 - lm-sensors does not work on ASUS P4P800S (i848P chipset)
Summary: lm-sensors does not work on ASUS P4P800S (i848P chipset)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-31 18:26 UTC by Paolo Prandini
Modified: 2015-01-04 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-31 21:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paolo Prandini 2004-01-31 18:26:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031110 Firebird/0.7

Description of problem:
ASUS P4P800S mounts i848p chipset a lesser brother of i865PE, and ICH5.
When launching sensors-detect, the script is able to identify Intel
82801EB ICH5 but when trying to load module i2c-801 fails.


Version-Release number of selected component (if applicable):
lm_sensors-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. sensors-detect
2. say Yes to first questions 
3. answer defaults to every other question
    

Actual Results:  The script reports an error loading the module.
dmesg reports : i2c-core.o: i2c core module
i2c-i801.o version 2.6.5 (20020915)
i2c-i801.o: Error: Can't detect I801, function 3!
i2c-i801.o: I801 not detected, module not inserted.
i2c-core.o: i2c core module
i2c-dev.o: i2c /dev entries driver module
i2c-core.o: driver i2c-dev dummy driver registered.

Expected Results:  82801EB ICH5 should be detected without errors.
Module i2c-801 should not fail.

Additional info:
Kernel is 2.4.22-1.2149.nptlsmp

Comment 1 Phil Knirsch 2004-02-02 15:04:07 UTC
Problem is missing/old kernel drivers, not userland, so i'm
reassigning to kernel.

Read ya, Phil

Comment 3 Paolo Prandini 2004-05-30 10:43:20 UTC
Hi it happens even on 2.4.22-1.2188.nptlsmp

- regards
- Paolo


Comment 4 Dave Jones 2004-05-31 21:29:55 UTC
should be fixed in FC2.



Note You need to log in before you can comment on or make changes to this bug.